Update an ingredient
curl --request PUT \
--url https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/ingredients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Carrot",
"in_stock_qty": 3,
"price": 999
}
'import requests
url = "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/ingredients/{id}"
payload = {
"name": "Carrot",
"in_stock_qty": 3,
"price": 999
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Carrot', in_stock_qty: 3, price: 999})
};
fetch('https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/ingredients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}Ingredients
Update an ingredient
Update an ingredient’s details. You can update the following properties: name, price, and in_stock_qty.
PUT
/
ingredients
/
{id}
Update an ingredient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique ingredient identifier, generated when the ingredient was created.
Body
application/json
The request body to update one or more ingredient requires only the properties to be updated.
The ingredient name to display in the client app.
Example:
"Carrot"
The quantity of the ingredient currently in stock. This field is used to track the ingredient inventory. If the ingredient is essential and has a value of 0, the associated dish cannot be ordered via the client app.
Example:
3
The price used by the client app to calculate order cost.
Example:
999
Response
Ingredient successfully updated